TAAS - Feature #93

Period Locking
11/02/2022 01:41 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 11/16/2022
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 25:00 hours
Owner(Agency): Travvise Tested By: Arathy PS
Time Taken(HH): 25.00 Code Reviewed By:

Module: Period Locking

Description

Coding Period Locking

History

#1 - 11/02/2022 01:44 PM - Anil KV

Points

1) Remove Debit and Credit Checkbox in account tab

2) Locking type items

Non Financial Lock, Debit Posting Lock, Credit Posting Lock, Settlement Lock
3) Locked type label changed to Locked

#2 - 11/02/2022 01:45 PM - Anil KV

- Assignee set to Junaid M

#3 - 11/03/2022 01:55 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmlFile.htm| added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

#4 - 11/03/2022 02:51 PM - Anil KV
- Assignee changed from Junaid M to Amal Siby

#5 - 11/16/2022 02:20 PM - Amal Siby
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#6 - 11/22/2022 04:06 PM - Amal Siby
- Start date changed from 11/02/2022 to 11/16/2022

#7 - 11/23/2022 07:01 PM - Amal Siby
- Status changed from Coding Started to Particialy Coding Done
- Time Taken(HH) set to 25.00

Particialy Coding done, toggle dropdown in Account grid is not fixed Properly
#8 - 11/28/2022 06:49 PM - Amal Siby

pending features:- 1) Locked module tree widget not supporting tick programmatically, in period locking And period locking list

#9 - 12/08/2022 04:13 PM - Amal Siby

Coding Completed.
To Do:

In module tab, module tree widget needs to limit displaying module names. (Do after type key is added to menu service).

#10 - 01/11/2023 10:55 AM - Amal Cyriac

- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.FIX BUGS ON DROP DOWN LABEL
(ACCOUNT DROP DOWN LABEL NOT DISPLAYED PROPERLY)

2.ACCOUNT INPUT BOX DISAPPEARING WHILE USE RAW/HEAD FILTER

#11 - 01/14/2023 10:04 AM - Amal Siby
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

Bug fixed, Updated

#12 - 04/18/2023 06:12 PM - Amal Siby
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

Moduel Completed.

#13 - 04/19/2023 06:22 PM - Amal Cyriac
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix errors on GUI refresher when redirected from Period Locking list

> Cant refresh GUI
> Error on console

#14 - 04/26/2023 06:12 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 07/22/2023 06:55 PM - Anil KV
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

GUI changed, Coding the changes

#16 - 10/28/2023 06:28 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

On Hold Coding Completed.

#17 - 10/26/2024 10:12 AM - Arathy PS
- Assignee changed from Amal Siby to Nithin PM
#18 - 10/26/2024 10:35 AM - Arathy PS

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

- Tested By changed from Amal Cyriac to Arathy PS

ISSUE FOUND

1. Can lock periods within periods that are already locked.

2. Can lock same periods (with same start date and end date) multiple times without any change.

3. Showing periods that deleted in the grid.

4. When update an already saved period with an account added in the account, each time we update the period the account recurs.
5. Showing periods that are already unlocked in the grid of period locking.

#19 - 11/20/2024 09:42 AM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#20 - 12/18/2024 12:03 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Data appearing in the log (periods locked list) is incorrect.

2. Change view to create.

3. Can add a locking within a locking period with same changes while updating (while creating it first the changes are different and while update
changes are same)

#21 - 12/19/2024 04:18 PM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#22 - 02/24/2025 02:02 PM - Arathy PS
- Assignee changed from Nithin PM to Greeshma S

#23 - 02/24/2025 02:08 PM - Arathy PS
- File clipboard-202502241408-qdbqr.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

on to VIEW Load Period Locked List.

Period” | 25/02/2025 (B 25022025 o) Branch® | User” | Account Module

Locked Action” | Create Update 4 more M v Select All

Locked Category™ | Financial Documents. Non Financial Documents -
+/ Administrator

Update Lock Type” | Document Update Lock ~

Remarks

Created By:  Administrator (24/02/2025 02:04 PM)
Madified By:

< Losd T a

6]
I

#  Action Period Locked Action Locked Category Update Type Remarks Created By

No data

2. Locked period is not showing in the grid even after clicking load button.
3. Translation is missing for certain labels.

#24 - 02/25/2025 06:37 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Files

2-tsModel.ts 1.35 KB 11/03/2022 Junaid M
1-CsModel.cs 2.32 KB 11/03/2022 Junaid M
3-CsFile.cs 8.08 KB 11/03/2022 Junaid M
4-CsControllerFile.cs 24.2 KB 11/03/2022 Junaid M
5-TsFile.ts 13.4 KB 11/03/2022 Junaid M
6-HtmlFile.html 1.91 KB 11/03/2022 Junaid M
sql.sql 12.3 KB 11/03/2022 Junaid M
clipboard-202502241408-qdbqr.png 104 KB 02/24/2025 Arathy PS
